{% extends 'layouts/base.html.twig' %}

{% block meta %}
	<meta name="description" content="Consultez au sein de la catégorie {{ category.name }} du blog toutes les informations en rapport avec le Pectus Excavatum."/>
	<meta property="og:type" content="website"/>
	<meta property="og:title" content="Le blog du Pectus Excavatum"/>
	<meta property="og:description" content="Consultez au sein de la catégorie {{ category.name }} du blog toutes les informations en rapport avec le Pectus Excavatum."/>
{% endblock %}

{% block title %}Catégorie
	{{ category.name|lower }}
{% endblock %}

{% block body %}
	<section class="container blog">
		<div class="blog__breadcrumbs">
			{{ wo_render_breadcrumbs() }}
		</div>
		<h1 class="title title--1 center">Catégorie :
			{{ category.name }}</h1>
		<h2 class="subtitle center">Découvrez nos articles !</h2>

		<div class="blog__filter">
			{% include 'components/_filter.html.twig' with {
				'current_category': category
			} %}
		</div>

		{% if not articles.items is same as([]) %}
			<div class="blog__list">
				{% for article in articles %}
					{% set category = article.categories|first %}
					{% include 'components/card/_card.html.twig' with {
				'big' : false,
				'path': {
					'name': 'blog_show',
					'args': {slug: article.slug}
				},
				'thumbnail': {
							'item': article,
							'alt': article.imageName
						},
				'title': article.title,
				'category': category,
				'publishedAt': article.createdAt
			} %}
				{% endfor %}
			</div>
		{% else %}
			<p class="subtitle center">Aucun article dans cette catégorie.</p>
		{% endif %}

		{{ knp_pagination_render(articles) }}
	</section>
{% endblock %}
